org.keycloak.models.delegate

## Class ClientModelLazyDelegate.WithId

- java.lang.Object
- - org.keycloak.models.delegate.ClientModelLazyDelegate
  - - org.keycloak.models.delegate.ClientModelLazyDelegate.WithId

- All Implemented Interfaces:
    ClientModel, ClientScopeModel, OrderedModel, ProtocolMapperContainerModel, RoleContainerModel, ScopeContainerModel
  Enclosing class:
    ClientModelLazyDelegate

      public static class ClientModelLazyDelegate.WithId
      extends ClientModelLazyDelegate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.models.delegate.ClientModelLazyDelegate

      `ClientModelLazyDelegate.WithId`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.ClientModel

      `ClientModel.ClientCreationEvent, ClientModel.ClientProtocolUpdatedEvent, ClientModel.ClientRemovedEvent, ClientModel.ClientUpdatedEvent, ClientModel.SearchableFields`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.ClientScopeModel

      `ClientScopeModel.ClientScopeRemovedEvent`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.OrderedModel

      `OrderedModel.OrderedModelComparator<OM extends OrderedModel>`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.RoleContainerModel

      `RoleContainerModel.RoleRemovedEvent`

  - ### Field Summary

    - ### Fields inherited from interface org.keycloak.models.ClientModel

      `PRIVATE_KEY, PUBLIC_KEY, X509CERTIFICATE`

    - ### Fields inherited from interface org.keycloak.models.ClientScopeModel

      `CONSENT_SCREEN_TEXT, DISPLAY_ON_CONSENT_SCREEN, GUI_ORDER, INCLUDE_IN_TOKEN_SCOPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WithId(KeycloakSession session, RealmModel realm, String id)`
    `WithId(String id, Supplier<ClientModel> delegateSupplier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getId()` Returns client internal ID (UUID).
    `int` | `hashCode()`

    - ### Methods inherited from class org.keycloak.models.delegate.ClientModelLazyDelegate

      `addClientScope, addClientScopes, addDefaultRole, addProtocolMapper, addRedirectUri, addRole, addRole, addScopeMapping, addWebOrigin, deleteScopeMapping, getAttribute, getAttributes, getAuthenticationFlowBindingOverride, getAuthenticationFlowBindingOverrides, getBaseUrl, getClientAuthenticatorType, getClientId, getClientScopes, getConsentScreenText, getDefaultRoles, getDefaultRolesStream, getDescription, getDynamicClientScope, getGuiOrder, getManagementUrl, getName, getNodeReRegistrationTimeout, getNotBefore, getProtocol, getProtocolMapperById, getProtocolMapperByName, getProtocolMappers, getProtocolMappersStream, getRealm, getRealmScopeMappings, getRealmScopeMappingsStream, getRedirectUris, getRegisteredNodes, getRegistrationToken, getRole, getRoles, getRoles, getRolesStream, getRolesStream, getRootUrl, getScopeMappings, getScopeMappingsStream, getSecret, getWebOrigins, hasScope, isAlwaysDisplayInConsole, isBearerOnly, isConsentRequired, isDirectAccessGrantsEnabled, isDisplayOnConsentScreen, isEnabled, isFrontchannelLogout, isFullScopeAllowed, isImplicitFlowEnabled, isIncludeInTokenScope, isPublicClient, isServiceAccountsEnabled, isStandardFlowEnabled, isSurrogateAuthRequired, registerNode, removeAttribute, removeAuthenticationFlowBindingOverride, removeClientScope, removeDefaultRoles, removeProtocolMapper, removeRedirectUri, removeRole, removeWebOrigin, searchForRoles, searchForRolesStream, setAlwaysDisplayInConsole, setAttribute, setAuthenticationFlowBindingOverride, setBaseUrl, setBearerOnly, setClientAuthenticatorType, setClientId, setConsentRequired, setConsentScreenText, setDescription, setDirectAccessGrantsEnabled, setDisplayOnConsentScreen, setEnabled, setFrontchannelLogout, setFullScopeAllowed, setGuiOrder, setImplicitFlowEnabled, setIncludeInTokenScope, setManagementUrl, setName, setNodeReRegistrationTimeout, setNotBefore, setProtocol, setPublicClient, setRedirectUris, setRegistrationToken, setRootUrl, setSecret, setServiceAccountsEnabled, setStandardFlowEnabled, setSurrogateAuthRequired, setWebOrigins, unregisterNode, updateClient, updateDefaultRoles, updateProtocolMapper, validateSecret`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WithId

          public WithId(String id,
                        Supplier<ClientModel> delegateSupplier)

    - #### WithId

          public WithId(KeycloakSession session,
                        RealmModel realm,
                        String id)

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `ClientModel`
      Returns client internal ID (UUID).
      Specified by:
        `getId` in interface `ClientModel`
      Specified by:
        `getId` in interface `ClientScopeModel`
      Specified by:
        `getId` in interface `RoleContainerModel`
      Overrides:
        `getId` in class `ClientModelLazyDelegate`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.